GDB (xrefs)

Public Attributes | List of all members
decl_field Struct Reference

`#include "gdbtypes.h"`

## Public Attributes
const char * | name
struct type * | type
unsigned int | is_protected: 1
unsigned int | is_private: 1

## Detailed Description

Definition at line 889 of file gdbtypes.h.

## Member Data Documentation

## ◆ is_private

unsigned int decl_field::is_private

True if this field was declared private, false otherwise.

Definition at line 904 of file gdbtypes.h.

Referenced by dwarf2_add_type_defn().

## ◆ is_protected

unsigned int decl_field::is_protected

True if this field was declared protected, false otherwise.

Definition at line 901 of file gdbtypes.h.

Referenced by dwarf2_add_type_defn().

## ◆ name

const char* decl_field::name

Unqualified name to be prefixed by owning class qualified name.

Definition at line 894 of file gdbtypes.h.

Referenced by add_template_parameters(), dwarf2_add_type_defn(), find_global_typedef(), and find_typedef_in_hash().

## ◆ type

struct type* decl_field::type

Type this typedef named NAME represents.

Definition at line 898 of file gdbtypes.h.

Referenced by add_template_parameters(), dwarf2_add_type_defn(), eq_typedef_field(), find_global_typedef(), find_typedef_in_hash(), and hash_typedef_field().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbtypes.h